import { w as withInstall } from "../badge/index2.js";
import { defineComponent, inject, openBlock, createElementBlock, Fragment, createElementVNode, mergeProps, renderSlot, createTextVNode, toDisplayString, unref } from "vue";
const _hoisted_1 = { "lay-separator": "" };
const __default__ = {
  name: "LayBreadcrumbItem"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    title: null
  },
  setup(__props) {
    const separator = inject("separator");
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        createElementVNode("a", mergeProps({ href: "javascript:void(0);" }, _ctx.$attrs), [
          renderSlot(_ctx.$slots, "default", {}, () => [
            createTextVNode(toDisplayString(__props.title), 1)
          ])
        ], 16),
        createElementVNode("span", _hoisted_1, toDisplayString(unref(separator)), 1)
      ], 64);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
